From cee5df2966cefb7071c30178979903d345d80ca7 Mon Sep 17 00:00:00 2001
From: jcoleman <jtc331@gmail.com>
Date: Tue, 20 Jun 2023 20:43:15 -0400
Subject: [PATCH v1] Clarify param_info query level

---
 src/include/nodes/pathnodes.h | 3 ++-
 1 file changed, 2 insertions(+), 1 deletion(-)

diff --git a/src/include/nodes/pathnodes.h b/src/include/nodes/pathnodes.h
index c17b53f7ad..5dbacbdf7b 100644
--- a/src/include/nodes/pathnodes.h
+++ b/src/include/nodes/pathnodes.h
@@ -1571,7 +1571,8 @@ typedef struct ParamPathInfo
  * That means this path can only be joined to those rels by means of nestloop
  * joins with this path on the inside.  Also note that a parameterized path
  * is responsible for testing all "movable" joinclauses involving this rel
- * and the specified outer rel(s).
+ * and the specified outer rel(s). Params from higher query levels are not
+ * included here.
  *
  * "rows" is the same as parent->rows in simple paths, but in parameterized
  * paths and UniquePaths it can be less than parent->rows, reflecting the
-- 
2.39.2 (Apple Git-143)

